| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

`#include <OgreTerrainQuadTreeNode.h>`

Inheritance diagram for Ogre::TerrainQuadTreeNode::LodLevel:
[legend]

## Public Member Functions
| LodLevel ()

## Public Attributes
uint16 | batchSize
| Number of vertices rendered down one side (not including skirts) More...
Real | calcMaxHeightDelta
| Temp calc area for max height delta. More...
IndexData * | gpuIndexData
| Index data on the gpu. More...
Real | lastCFactor
| The cFactor value used to calculate transitionDist. More...
Real | lastTransitionDist
| The most recently calculated transition distance. More...
Real | maxHeightDelta
| Maximum delta height between this and the next lower lod. More...

## Constructor & Destructor Documentation

## ◆ LodLevel()

Ogre::TerrainQuadTreeNode::LodLevel::LodLevel | ( |  | ) |
| inline

## Member Data Documentation

## ◆ batchSize

uint16 Ogre::TerrainQuadTreeNode::LodLevel::batchSize

Number of vertices rendered down one side (not including skirts)

## ◆ gpuIndexData

IndexData* Ogre::TerrainQuadTreeNode::LodLevel::gpuIndexData

Index data on the gpu.

## ◆ maxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::maxHeightDelta

Maximum delta height between this and the next lower lod.

## ◆ calcMaxHeightDelta

Real Ogre::TerrainQuadTreeNode::LodLevel::calcMaxHeightDelta

Temp calc area for max height delta.

## ◆ lastTransitionDist

Real Ogre::TerrainQuadTreeNode::LodLevel::lastTransitionDist

The most recently calculated transition distance.

## ◆ lastCFactor

Real Ogre::TerrainQuadTreeNode::LodLevel::lastCFactor

The cFactor value used to calculate transitionDist.

The documentation for this struct was generated from the following file:

- OgreTerrainQuadTreeNode.h